//CSS RESET

/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/

html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}

/* HTML5 display-role reset for older browsers */
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
	display: block;
}

body {
	line-height: 1;
}

ol,
ul {
	list-style: none;
}

blockquote,
q {
	quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
	content: '';
	content: none;
}

table {
	border-collapse: collapse;
	border-spacing: 0;
}

*,
body {

	box-sizing: border-box;
	font-family: 'Source Sans Pro', sans-serif;

}

// CÓDIGO PROPIO

@import "colors";
@import "icons";

// --- HEADER

// - NAV

@import "nav";

// --- MAIN

.main {

	display: flex;
	flex-direction: column;
	padding: 1.3rem 1rem 1.3rem 1rem;
	transition: padding-left 0.15s, padding-right 0.15s, padding-top 0.15s, padding-bottom 0.15s;
}

.left-column,
.center-column,
.right-column {

	display: flex;
	flex-direction: column;
	align-items: center;

}

@media screen and (min-width: 600px) {

	.main {

		flex-direction: row;
		flex-wrap: wrap;
		justify-content: space-between;

	}


}

@media screen and (min-width: 600px) {

	.left-column,
	.center-column,
	.right-column {

		width: 48.5%;

	}

}

@media screen and (min-width: 1024px) {


	.main {

		padding-top: 2.375rem;
		padding-left: 1.5rem;
		padding-right: 1.5rem;

	}

	.left-column,
	.center-column,
	.right-column {

		width: 32%;


	}

}

@media screen and (min-width: 1280px) {


	.main {

		padding-top: 2.875rem;

	}

	.left-column,
	.right-column {

		width: 23.5%;


	}

	.center-column {

		width: 49%;

	}

}

// - CONTAINER BOX

@import "container-box";

// - EVENT-CARD

@import "event-card";

// - EVENT-ITEM

@import "event-item";

// - ALERT-CARD

@import "alert-card";

// - EMAIL-CARD

@import "email-card";

// - TABS BAR

@import "tabs-bar";

// - PROJECT CARD

@import "project-card";

// - CONTACT CARD

@import "contact-card";

// - DETALLE CARD

@import "detalle-card";

// GENERAL CLASSES

.card-title {

	font-weight: 600;
	line-height: 1.2;
	color: $textBlue;

}

.card-title--no-underline {

	text-decoration: none;

}

.box-separator {

	margin-top: 0.6rem;
	margin-bottom: 0.6rem;

}

.no-bottomline {

	border-bottom: 0px;

}

.round-image {

	width: 100%;
	border-radius: 50%;

}

.round-image--grey-border {

	border: 1px solid $greyBorder;

}

.round-image--fat-border-white {

	border: 2px solid white;

}

.hidden {

	display: none;

}

// TO-DO: ¿Aplicar a todos lo que contenga textos?

.ellipsis-text {

	//No va en IE
	display: -webkit-box;
	-webkit-line-clamp: 3;
	-webkit-box-orient: vertical;
	overflow: hidden;
	text-overflow: ellipsis;

}